#!/usr/bin/perl -w
#
#	for use with the Dashboard-Widget "Network Stat"
#	(c) by Pascal Pfiffner 2005/2006

use strict;

my @lines = split(/\n/, `scselect 2>&1`);
my @processed;
shift @lines;
foreach my $line (@lines) {
	chomp $line;
	my($value, $name) = split(/\t/, $line);
	my $selected = ($value =~ /\*/) ? 1 : 0;
	$value = substr($value, 3);
	$name = substr($name, 1, length($name) - 2);
	push(@processed, $selected."\t".$value."\t".$name);
}

print STDOUT join("\n", @processed);